Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadmin.attributes
Class PasswordAttributeEditor

    java.lang.Object
      |
      +--org.w3c.jigadm.editors.AttributeEditor
            |
            +--org.w3c.jigadmin.attributes.PasswordAttributeEditor

public class PasswordAttributeEditor
extends AttributeEditor

Field Summary
`protected javax.swing.JFrame` | `frame`
`protected java.lang.String` | `name`
`protected javax.swing.JButton` | `widget`

Fields inherited from class org.w3c.jigadm.editors.AttributeEditor
`als`

Constructor Summary
`PasswordAttributeEditor()`

Method Summary
`void` | `clearChanged()`
`protected void` | `dispose()`
`java.awt.Component` | `getComponent()`
`java.lang.Object` | `getValue()`
`boolean` | `hasChanged()`
`void` | `initialize(RemoteResourceWrapper w, Attribute a, java.lang.Object o, java.util.Properties p)` Initialize the editor
`protected void` | `popupDialog()`
`void` | `resetChanges()`
`protected void` | `setText(java.lang.String s)`
`void` | `setValue(java.lang.Object o)`

Methods inherited from class org.w3c.jigadm.editors.AttributeEditor
`addAttributeListener, processEvent, removeAttributeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### widget

    protected javax.swing.JButton widget

### frame

    protected javax.swing.JFrame frame

Constructor Detail

### PasswordAttributeEditor

    public PasswordAttributeEditor()

Method Detail

### dispose

    protected void dispose()

### popupDialog

    protected void popupDialog()

### setText

    protected void setText(java.lang.String s)

### hasChanged

    public boolean hasChanged()

  See Also:
    `AttributeEditorInterface`

### clearChanged

    public void clearChanged()

  See Also:
    `AttributeEditorInterface`

### resetChanges

    public void resetChanges()

  See Also:
    `AttributeEditorInterface`

### getValue

    public java.lang.Object getValue()

  See Also:
    `AttributeEditorInterface`

### setValue

    public void setValue(java.lang.Object o)

  See Also:
    `AttributeEditorInterface`

### getComponent

    public java.awt.Component getComponent()

  Overrides:
    getComponent in class AttributeEditor

### initialize

    public void initialize(RemoteResourceWrapper w,
                           Attribute a,
                           java.lang.Object o,
                           java.util.Properties p)
                    throws RemoteAccessException

  Initialize the editor
  Parameters:
    `w` - the ResourceWrapper father of the attribute
    `a` - the Attribute we are editing
    `o` - the value of the above attribute
    `p` - some Properties, used to fine-tune the editor
  Throws:
    RemoteAccessException - if a remote access error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD